using CallCenterApi.DB;
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenterApi.DAL
{
    /// <summary>
	/// 数据访问类:T_Cus_CustomerExpand
	/// </summary>
	public partial class T_Cus_CustomerExpand
    {
        public T_Cus_CustomerExpand()
        { }
        #region  BasicMethod

        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(Guid F_ExpandId)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) from T_Cus_CustomerExpand");
            strSql.Append(" where F_ExpandId=@F_ExpandId ");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_ExpandId", SqlDbType.UniqueIdentifier,16)          };
            parameters[0].Value = F_ExpandId;

            return DbHelperSQL.Exists(strSql.ToString(), parameters);
        }


        /// <summary>
        /// 增加一条数据
        /// </summary>
        public bool Add(CallCenterApi.Model.T_Cus_CustomerExpand model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into T_Cus_CustomerExpand(");
            strSql.Append("F_CustomerId,F_StrExpand1,F_StrExpand2,F_StrExpand3,F_StrExpand4,F_StrExpand5,F_StrExpand6,F_StrExpand7,F_StrExpand8,F_StrExpand9,F_StrExpand10,F_StrExpand11,F_StrExpand12,F_StrExpand13,F_StrExpand14,F_StrExpand15,F_StrExpand16,F_StrExpand17,F_StrExpand18,F_StrExpand19,F_StrExpand20,F_StrExpand21,F_StrExpand22,F_StrExpand23,F_StrExpand24,F_StrExpand25,F_StrExpand26,F_StrExpand27,F_StrExpand28,F_StrExpand29,F_StrExpand30,F_StrExpand31,F_StrExpand32,F_StrExpand33,F_StrExpand34,F_StrExpand35,F_StrExpand36,F_StrExpand37,F_StrExpand38,F_StrExpand39,F_StrExpand40)");
            strSql.Append(" values (");
            strSql.Append("F_CustomerId,@F_StrExpand1,@F_StrExpand2,@F_StrExpand3,@F_StrExpand4,@F_StrExpand5,@F_StrExpand6,@F_StrExpand7,@F_StrExpand8,@F_StrExpand9,@F_StrExpand10,@F_StrExpand11,@F_StrExpand12,@F_StrExpand13,@F_StrExpand14,@F_StrExpand15,@F_StrExpand16,@F_StrExpand17,@F_StrExpand18,@F_StrExpand19,@F_StrExpand20,@F_StrExpand21,@F_StrExpand22,@F_StrExpand23,@F_StrExpand24,@F_StrExpand25,@F_StrExpand26,@F_StrExpand27,@F_StrExpand28,@F_StrExpand29,@F_StrExpand30,@F_StrExpand31,@F_StrExpand32,@F_StrExpand33,@F_StrExpand34,@F_StrExpand35,@F_StrExpand36,@F_StrExpand37,@F_StrExpand38,@F_StrExpand39,@F_StrExpand40)");
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), new SqlParameter[] {
                    new SqlParameter("@F_CustomerId",model.F_CustomerId     ),
                    new SqlParameter("@F_StrExpand1",model. F_StrExpand1) ,
                    new SqlParameter("@F_StrExpand2",model. F_StrExpand2) ,
                    new SqlParameter("@F_StrExpand3",model. F_StrExpand3) ,
                    new SqlParameter("@F_StrExpand4",model. F_StrExpand4) ,
                    new SqlParameter("@F_StrExpand5",model. F_StrExpand5) ,
                    new SqlParameter("@F_StrExpand6",model. F_StrExpand6) ,
                    new SqlParameter("@F_StrExpand7",model. F_StrExpand7) ,
                    new SqlParameter("@F_StrExpand8",model. F_StrExpand8) ,
                    new SqlParameter("@F_StrExpand9",model. F_StrExpand9) ,
                    new SqlParameter("@F_StrExpand10",model.F_StrExpand10),
                    new SqlParameter("@F_StrExpand11",model.F_StrExpand11),
                    new SqlParameter("@F_StrExpand12",model.F_StrExpand12),
                    new SqlParameter("@F_StrExpand13",model.F_StrExpand13),
                    new SqlParameter("@F_StrExpand14",model.F_StrExpand14),
                    new SqlParameter("@F_StrExpand15",model.F_StrExpand15),
                    new SqlParameter("@F_StrExpand16",model.F_StrExpand16),
                    new SqlParameter("@F_StrExpand17",model.F_StrExpand17),
                    new SqlParameter("@F_StrExpand18",model.F_StrExpand18),
                    new SqlParameter("@F_StrExpand19",model.F_StrExpand19),
                    new SqlParameter("@F_StrExpand20",model.F_StrExpand20),
                    new SqlParameter("@F_StrExpand21",model.F_StrExpand21),
                    new SqlParameter("@F_StrExpand22",model.F_StrExpand22),
                    new SqlParameter("@F_StrExpand23",model.F_StrExpand23),
                    new SqlParameter("@F_StrExpand24",model.F_StrExpand24),
                    new SqlParameter("@F_StrExpand25",model.F_StrExpand25),
                    new SqlParameter("@F_StrExpand26",model.F_StrExpand26),
                    new SqlParameter("@F_StrExpand27",model.F_StrExpand27),
                    new SqlParameter("@F_StrExpand28",model.F_StrExpand28),
                    new SqlParameter("@F_StrExpand29",model.F_StrExpand29),
                    new SqlParameter("@F_StrExpand30",model.F_StrExpand30),
                    new SqlParameter("@F_StrExpand31",model.F_StrExpand31),
                    new SqlParameter("@F_StrExpand32",model.F_StrExpand32),
                    new SqlParameter("@F_StrExpand33",model.F_StrExpand33),
                    new SqlParameter("@F_StrExpand34",model.F_StrExpand34),
                    new SqlParameter("@F_StrExpand35",model.F_StrExpand35),
                    new SqlParameter("@F_StrExpand36",model.F_StrExpand36),
                    new SqlParameter("@F_StrExpand37",model.F_StrExpand37),
                    new SqlParameter("@F_StrExpand38",model.F_StrExpand38),
                    new SqlParameter("@F_StrExpand39",model.F_StrExpand39),
                    new SqlParameter("@F_StrExpand40",model.F_StrExpand40)
            });
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_Cus_CustomerExpand model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update T_Cus_CustomerExpand set ");
            strSql.Append("F_StrExpand1=@F_StrExpand1, ");
            strSql.Append("F_StrExpand2=@F_StrExpand2, ");
            strSql.Append("F_StrExpand3=@F_StrExpand3, ");
            strSql.Append("F_StrExpand4=@F_StrExpand4, ");
            strSql.Append("F_StrExpand5=@F_StrExpand5, ");
            strSql.Append("F_StrExpand6=@F_StrExpand6, ");
            strSql.Append("F_StrExpand7=@F_StrExpand7, ");
            strSql.Append("F_StrExpand8=@F_StrExpand8, ");
            strSql.Append("F_StrExpand9=@F_StrExpand9, ");
            strSql.Append("F_StrExpand10=@F_StrExpand10, ");
            strSql.Append("F_StrExpand11=@F_StrExpand11, ");
            strSql.Append("F_StrExpand12=@F_StrExpand12, ");
            strSql.Append("F_StrExpand13=@F_StrExpand13, ");
            strSql.Append("F_StrExpand14=@F_StrExpand14, ");
            strSql.Append("F_StrExpand15=@F_StrExpand15, ");
            strSql.Append("F_StrExpand16=@F_StrExpand16, ");
            strSql.Append("F_StrExpand17=@F_StrExpand17, ");
            strSql.Append("F_StrExpand18=@F_StrExpand18, ");
            strSql.Append("F_StrExpand19=@F_StrExpand19, ");
            strSql.Append("F_StrExpand20=@F_StrExpand20, ");
            strSql.Append("F_StrExpand21=@F_StrExpand21, ");
            strSql.Append("F_StrExpand22=@F_StrExpand22, ");
            strSql.Append("F_StrExpand23=@F_StrExpand23, ");
            strSql.Append("F_StrExpand24=@F_StrExpand24, ");
            strSql.Append("F_StrExpand25=@F_StrExpand25, ");
            strSql.Append("F_StrExpand26=@F_StrExpand26, ");
            strSql.Append("F_StrExpand27=@F_StrExpand27, ");
            strSql.Append("F_StrExpand28=@F_StrExpand28, ");
            strSql.Append("F_StrExpand29=@F_StrExpand29, ");
            strSql.Append("F_StrExpand30=@F_StrExpand30, ");
            strSql.Append("F_StrExpand31=@F_StrExpand31, ");
            strSql.Append("F_StrExpand32=@F_StrExpand32, ");
            strSql.Append("F_StrExpand33=@F_StrExpand33, ");
            strSql.Append("F_StrExpand34=@F_StrExpand34, ");
            strSql.Append("F_StrExpand35=@F_StrExpand35, ");
            strSql.Append("F_StrExpand36=@F_StrExpand36, ");
            strSql.Append("F_StrExpand37=@F_StrExpand37, ");
            strSql.Append("F_StrExpand38=@F_StrExpand38, ");
            strSql.Append("F_StrExpand39=@F_StrExpand39, ");
            strSql.Append("F_StrExpand40=@F_StrExpand40  ");
            strSql.Append("where F_ExpandId=@F_ExpandId ");

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), new SqlParameter[] {
                    new SqlParameter("@F_ExpandId",model.F_ExpandId     ),
                    new SqlParameter("@F_StrExpand1",model. F_StrExpand1) ,
                    new SqlParameter("@F_StrExpand2",model. F_StrExpand2) ,
                    new SqlParameter("@F_StrExpand3",model. F_StrExpand3) ,
                    new SqlParameter("@F_StrExpand4",model. F_StrExpand4) ,
                    new SqlParameter("@F_StrExpand5",model. F_StrExpand5) ,
                    new SqlParameter("@F_StrExpand6",model. F_StrExpand6) ,
                    new SqlParameter("@F_StrExpand7",model. F_StrExpand7) ,
                    new SqlParameter("@F_StrExpand8",model. F_StrExpand8) ,
                    new SqlParameter("@F_StrExpand9",model. F_StrExpand9) ,
                    new SqlParameter("@F_StrExpand10",model.F_StrExpand10),
                    new SqlParameter("@F_StrExpand11",model.F_StrExpand11),
                    new SqlParameter("@F_StrExpand12",model.F_StrExpand12),
                    new SqlParameter("@F_StrExpand13",model.F_StrExpand13),
                    new SqlParameter("@F_StrExpand14",model.F_StrExpand14),
                    new SqlParameter("@F_StrExpand15",model.F_StrExpand15),
                    new SqlParameter("@F_StrExpand16",model.F_StrExpand16),
                    new SqlParameter("@F_StrExpand17",model.F_StrExpand17),
                    new SqlParameter("@F_StrExpand18",model.F_StrExpand18),
                    new SqlParameter("@F_StrExpand19",model.F_StrExpand19),
                    new SqlParameter("@F_StrExpand20",model.F_StrExpand20),
                    new SqlParameter("@F_StrExpand21",model.F_StrExpand21),
                    new SqlParameter("@F_StrExpand22",model.F_StrExpand22),
                    new SqlParameter("@F_StrExpand23",model.F_StrExpand23),
                    new SqlParameter("@F_StrExpand24",model.F_StrExpand24),
                    new SqlParameter("@F_StrExpand25",model.F_StrExpand25),
                    new SqlParameter("@F_StrExpand26",model.F_StrExpand26),
                    new SqlParameter("@F_StrExpand27",model.F_StrExpand27),
                    new SqlParameter("@F_StrExpand28",model.F_StrExpand28),
                    new SqlParameter("@F_StrExpand29",model.F_StrExpand29),
                    new SqlParameter("@F_StrExpand30",model.F_StrExpand30),
                    new SqlParameter("@F_StrExpand31",model.F_StrExpand31),
                    new SqlParameter("@F_StrExpand32",model.F_StrExpand32),
                    new SqlParameter("@F_StrExpand33",model.F_StrExpand33),
                    new SqlParameter("@F_StrExpand34",model.F_StrExpand34),
                    new SqlParameter("@F_StrExpand35",model.F_StrExpand35),
                    new SqlParameter("@F_StrExpand36",model.F_StrExpand36),
                    new SqlParameter("@F_StrExpand37",model.F_StrExpand37),
                    new SqlParameter("@F_StrExpand38",model.F_StrExpand38),
                    new SqlParameter("@F_StrExpand39",model.F_StrExpand39),
                    new SqlParameter("@F_StrExpand40",model.F_StrExpand40)
            });
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(Guid F_ExpandId)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_Cus_CustomerExpand ");
            strSql.Append(" where F_ExpandId=@F_ExpandId ");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_ExpandId", SqlDbType.UniqueIdentifier,16)          };
            parameters[0].Value = F_ExpandId;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        /// <summary>
        /// 批量删除数据
        /// </summary>
        public bool DeleteList(string F_ExpandIdlist)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_Cus_CustomerExpand ");
            strSql.Append(" where F_ExpandId in (" + F_ExpandIdlist + ")  ");
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString());
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Cus_CustomerExpand GetModel(Guid F_ExpandId)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("select  top 1 F_ExpandId,F_CustomerId,F_StrExpand1,F_StrExpand2,F_StrExpand3,F_StrExpand4,F_StrExpand5,F_StrExpand6,F_StrExpand7,F_StrExpand8,F_StrExpand9,F_StrExpand10,F_StrExpand11,F_StrExpand12,F_StrExpand13,F_StrExpand14,F_StrExpand15,F_StrExpand16,F_StrExpand17,F_StrExpand18,F_StrExpand19,F_StrExpand20,F_StrExpand21,F_StrExpand22,F_StrExpand23,F_StrExpand24,F_StrExpand25,F_StrExpand26,F_StrExpand27,F_StrExpand28,F_StrExpand29,F_StrExpand30,F_StrExpand31,F_StrExpand32,F_StrExpand33,F_StrExpand34,F_StrExpand35,F_StrExpand36,F_StrExpand37,F_StrExpand38,F_StrExpand39,F_StrExpand40 from T_Cus_CustomerExpand ");
            strSql.Append(" where F_ExpandId=@F_ExpandId ");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_ExpandId", SqlDbType.UniqueIdentifier,16)          };
            parameters[0].Value = F_ExpandId;

            CallCenterApi.Model.T_Cus_CustomerExpand model = new CallCenterApi.Model.T_Cus_CustomerExpand();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                return DataRowToModel(ds.Tables[0].Rows[0]);
            }
            else
            {
                return null;
            }
        }

   

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Cus_CustomerExpand DataRowToModel(DataRow row)
        {
            CallCenterApi.Model.T_Cus_CustomerExpand model = new CallCenterApi.Model.T_Cus_CustomerExpand();
            var columns = row.Table.Columns;
            if (row != null)
            {
                model.F_ExpandId = row["F_ExpandId"] == DBNull.Value ? "" : row["F_ExpandId"].ToString();
                model.F_CustomerId = row["F_CustomerId"] == DBNull.Value ? "" : row["F_CustomerId"].ToString();
                if (columns.Contains("F_StrExpand1")) { model.F_StrExpand1 = row["F_StrExpand1"] == DBNull.Value ? "" : row["F_StrExpand1"].ToString(); }
                if (columns.Contains("F_StrExpand2")) { model.F_StrExpand2 = row["F_StrExpand2"] == DBNull.Value ? "" : row["F_StrExpand2"].ToString(); }
                if (columns.Contains("F_StrExpand3")) { model.F_StrExpand3 = row["F_StrExpand3"] == DBNull.Value ? "" : row["F_StrExpand3"].ToString(); }
                if (columns.Contains("F_StrExpand4")) { model.F_StrExpand4 = row["F_StrExpand4"] == DBNull.Value ? "" : row["F_StrExpand4"].ToString(); }
                if (columns.Contains("F_StrExpand5")) { model.F_StrExpand5 = row["F_StrExpand5"] == DBNull.Value ? "" : row["F_StrExpand5"].ToString(); }
                if (columns.Contains("F_StrExpand6")) { model.F_StrExpand6 = row["F_StrExpand6"] == DBNull.Value ? "" : row["F_StrExpand6"].ToString(); }
                if (columns.Contains("F_StrExpand7")) { model.F_StrExpand7 = row["F_StrExpand7"] == DBNull.Value ? "" : row["F_StrExpand7"].ToString(); }
                if (columns.Contains("F_StrExpand8")) { model.F_StrExpand8 = row["F_StrExpand8"] == DBNull.Value ? "" : row["F_StrExpand8"].ToString(); }
                if (columns.Contains("F_StrExpand9")) { model.F_StrExpand9 = row["F_StrExpand9"] == DBNull.Value ? "" : row["F_StrExpand9"].ToString(); }
                if (columns.Contains("F_StrExpand10")) { model.F_StrExpand10 = row["F_StrExpand10"] == DBNull.Value ? "" : row["F_StrExpand10"].ToString(); }
                if (columns.Contains("F_StrExpand11")) { model.F_StrExpand11 = row["F_StrExpand11"] == DBNull.Value ? "" : row["F_StrExpand11"].ToString(); }
                if (columns.Contains("F_StrExpand12")) { model.F_StrExpand12 = row["F_StrExpand12"] == DBNull.Value ? "" : row["F_StrExpand12"].ToString(); }
                if (columns.Contains("F_StrExpand13")) { model.F_StrExpand13 = row["F_StrExpand13"] == DBNull.Value ? "" : row["F_StrExpand13"].ToString(); }
                if (columns.Contains("F_StrExpand14")) { model.F_StrExpand14 = row["F_StrExpand14"] == DBNull.Value ? "" : row["F_StrExpand14"].ToString(); }
                if (columns.Contains("F_StrExpand15")) { model.F_StrExpand15 = row["F_StrExpand15"] == DBNull.Value ? "" : row["F_StrExpand15"].ToString(); }
                if (columns.Contains("F_StrExpand16")) { model.F_StrExpand16 = row["F_StrExpand16"] == DBNull.Value ? "" : row["F_StrExpand16"].ToString(); }
                if (columns.Contains("F_StrExpand17")) { model.F_StrExpand17 = row["F_StrExpand17"] == DBNull.Value ? "" : row["F_StrExpand17"].ToString(); }
                if (columns.Contains("F_StrExpand18")) { model.F_StrExpand18 = row["F_StrExpand18"] == DBNull.Value ? "" : row["F_StrExpand18"].ToString(); }
                if (columns.Contains("F_StrExpand19")) { model.F_StrExpand19 = row["F_StrExpand19"] == DBNull.Value ? "" : row["F_StrExpand19"].ToString(); }
                if (columns.Contains("F_StrExpand20")) { model.F_StrExpand20 = row["F_StrExpand20"] == DBNull.Value ? "" : row["F_StrExpand20"].ToString(); }
                if (columns.Contains("F_StrExpand21")) { model.F_StrExpand21 = row["F_StrExpand21"] == DBNull.Value ? "" : row["F_StrExpand21"].ToString(); }
                if (columns.Contains("F_StrExpand22")) { model.F_StrExpand22 = row["F_StrExpand22"] == DBNull.Value ? "" : row["F_StrExpand22"].ToString(); }
                if (columns.Contains("F_StrExpand23")) { model.F_StrExpand23 = row["F_StrExpand23"] == DBNull.Value ? "" : row["F_StrExpand23"].ToString(); }
                if (columns.Contains("F_StrExpand24")) { model.F_StrExpand24 = row["F_StrExpand24"] == DBNull.Value ? "" : row["F_StrExpand24"].ToString(); }
                if (columns.Contains("F_StrExpand25")) { model.F_StrExpand25 = row["F_StrExpand25"] == DBNull.Value ? "" : row["F_StrExpand25"].ToString(); }
                if (columns.Contains("F_StrExpand26")) { model.F_StrExpand26 = row["F_StrExpand26"] == DBNull.Value ? "" : row["F_StrExpand26"].ToString(); }
                if (columns.Contains("F_StrExpand27")) { model.F_StrExpand27 = row["F_StrExpand27"] == DBNull.Value ? "" : row["F_StrExpand27"].ToString(); }
                if (columns.Contains("F_StrExpand28")) { model.F_StrExpand28 = row["F_StrExpand28"] == DBNull.Value ? "" : row["F_StrExpand28"].ToString(); }
                if (columns.Contains("F_StrExpand29")) { model.F_StrExpand29 = row["F_StrExpand29"] == DBNull.Value ? "" : row["F_StrExpand29"].ToString(); }
                if (columns.Contains("F_StrExpand30")) { model.F_StrExpand30 = row["F_StrExpand30"] == DBNull.Value ? "" : row["F_StrExpand30"].ToString(); }
                if (columns.Contains("F_StrExpand31")) { model.F_StrExpand31 = row["F_StrExpand31"] == DBNull.Value ? "" : row["F_StrExpand31"].ToString(); }
                if (columns.Contains("F_StrExpand32")) { model.F_StrExpand32 = row["F_StrExpand32"] == DBNull.Value ? "" : row["F_StrExpand32"].ToString(); }
                if (columns.Contains("F_StrExpand33")) { model.F_StrExpand33 = row["F_StrExpand33"] == DBNull.Value ? "" : row["F_StrExpand33"].ToString(); }
                if (columns.Contains("F_StrExpand34")) { model.F_StrExpand34 = row["F_StrExpand34"] == DBNull.Value ? "" : row["F_StrExpand34"].ToString(); }
                if (columns.Contains("F_StrExpand35")) { model.F_StrExpand35 = row["F_StrExpand35"] == DBNull.Value ? "" : row["F_StrExpand35"].ToString(); }
                if (columns.Contains("F_StrExpand36")) { model.F_StrExpand36 = row["F_StrExpand36"] == DBNull.Value ? "" : row["F_StrExpand36"].ToString(); }
                if (columns.Contains("F_StrExpand37")) { model.F_StrExpand37 = row["F_StrExpand37"] == DBNull.Value ? "" : row["F_StrExpand37"].ToString(); }
                if (columns.Contains("F_StrExpand38")) { model.F_StrExpand38 = row["F_StrExpand38"] == DBNull.Value ? "" : row["F_StrExpand38"].ToString(); }
                if (columns.Contains("F_StrExpand39")) { model.F_StrExpand39 = row["F_StrExpand39"] == DBNull.Value ? "" : row["F_StrExpand39"].ToString(); }
                if (columns.Contains("F_StrExpand40")) { model.F_StrExpand40 = row["F_StrExpand40"] == DBNull.Value ? "" : row["F_StrExpand40"].ToString(); }





















            }
            return model;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select F_ExpandId,F_CustomerId,F_StrExpand1,F_StrExpand2,F_StrExpand3,F_StrExpand4,F_StrExpand5,F_StrExpand6,F_TypeExpand1,F_TypeExpand2,F_IntExpand1,F_IntExpand2,F_TimeExpand1,F_TimeExpand2,F_TextExpand1,F_TextExpand2 ");
            strSql.Append(" FROM T_Cus_CustomerExpand ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select ");
            if (Top > 0)
            {
                strSql.Append(" top " + Top.ToString());
            }
            strSql.Append(" F_ExpandId,F_CustomerId,F_StrExpand1,F_StrExpand2,F_StrExpand3,F_StrExpand4,F_StrExpand5,F_StrExpand6,F_TypeExpand1,F_TypeExpand2,F_IntExpand1,F_IntExpand2,F_TimeExpand1,F_TimeExpand2,F_TextExpand1,F_TextExpand2 ");
            strSql.Append(" FROM T_Cus_CustomerExpand ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            strSql.Append(" order by " + filedOrder);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获取记录总数
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) FROM T_Cus_CustomerExpand ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            object obj = DbHelperSQL.GetSingle(strSql.ToString());
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("SELECT * FROM ( ");
            strSql.Append(" SELECT ROW_NUMBER() OVER (");
            if (!string.IsNullOrEmpty(orderby.Trim()))
            {
                strSql.Append("order by T." + orderby);
            }
            else
            {
                strSql.Append("order by T.F_ExpandId desc");
            }
            strSql.Append(")AS Row, T.*  from T_Cus_CustomerExpand T ");
            if (!string.IsNullOrEmpty(strWhere.Trim()))
            {
                strSql.Append(" WHERE " + strWhere);
            }
            strSql.Append(" ) TT");
            strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_Cus_CustomerExpand";
			parameters[1].Value = "F_ExpandId";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

        #endregion  BasicMethod
        #region  ExtensionMethod

        #endregion  ExtensionMethod
    }
}
